Subject: Re: [External] : Re: bug#71801: emacs 29.4 windows binaries

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Jul 2024 21:25:47 +0300

> From: Drew Adams <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, Ali M. <[email-masked]>,
>         "[email-masked]" <[email-masked]>
> Date: Fri, 5 Jul 2024 16:04:40 +0000
> 
> Thanks, Corwin.  I started it with a Windows
> shortcut that uses "Target:"
> 
> Z:\path\to\bin\runemacs.exe -Q --debug-init "w:\path\to\a\dir"
> 
> and that uses "Start in:" w:\path\to\a\dir
> 
> It seems to start OK but I get this warning repeated
> periodically (forever) in buffer *Warnings*:
> 
>  ■  Warning (comp): x86_64-w64-mingw32-gcc-11.3.0: fatal error: cannot execute 'as': CreateProcess: No such file or directory

You need to install GNU Binutils, which is where as.exe, the GNU
assembler, comes from.  (If GCC that emits the above error message is
part of the Emacs installation, then Corwin should make sure Binutils
are part of the installation as well.)

> I haven't noticed other problems yet (with -Q), but
> is the continual emission of that warning expected?

Yes.

> Clicking that black, square icon pops up this
> question as a menu:
> 
>   Suppress `comp' warnings?
>   _________________________
> 
>   Yes, Ignore `Comp' Warnings Completely
>   No, Just Disable Showing Them
>   Quit And Do Nothing
> 
> I have no idea what any of that means.

It allows you to disable these warnings, so that they don't annoy you.

> It doesn't seem very helpful - no link to any other info etc.

I'm not sure I understand what other info is needed.  The warning says

  Warning (comp): SOMETHING

and the prompt asks about suppressing "comp" warnings, which fits the
warning ID.  You are showed 3 possible answers with the meaning of
each one of them.  What is not clear here?

> I also notice that if I put point on that icon and
> hit RET I get the question in the minibuffer, but
> with the additional key `?' highlighted (no such
> option in the menu version).
> 
> I hit `?' and this is shown in buffer *Multiple
> Choice Help*:
> 
> Suppress `comp' warnings? 
> 
> y: yes, ignore `comp'    n: no, just disable      q: quit and do
> warnings completely      showing them             nothing
> 
> That "help" text seems worse than useless.

It just repeats what was in the menu.

> I guess this "help" is new UI intended to somehow
> help users.  To me it seems only to confuse and
> obfuscate, and in a fairly heavy-handed way.

If you think about it for a few moments, I'm sure you will see the
light.  It's really very simple.